List yearly recaps
GET
/v1/yearlyrecap/
const url = 'https://example.com/v1/yearlyrecap/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/yearlyrecap/ \ --header 'Authorization: Bearer <token>'Return all yearly recap data points for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
The pagination cursor value.
page_size
integer
Number of results to return per page.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
period_start
required
Start date is included
string format: date-time
period_end
required
End date is excluded
string format: date-time
number_of_incidents
integer
most_recurring_alerts
most_affected_services
most_affected_monitors
day_with_most_alerts
month_with_most_alerts
notifications_per_integration
number_of_agents_created
monitor_uptimes
favourite_os
server_locations
month_incidents
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"}